import 'package:aplicacionrutasturisticas/config/dio.dart';
import 'package:aplicacionrutasturisticas/utilerias/TextButtons.dart';
import 'package:flutter/material.dart';

import 'package:aplicacionrutasturisticas/utilerias/Buttons.dart';
import 'package:aplicacionrutasturisticas/utilerias/Textfields.dart';
import 'package:go_router/go_router.dart';

class TextFielEjemploLogin extends StatefulWidget {
  const TextFielEjemploLogin({super.key});
  static String id = "register_page";
  @override
  _TextFielEjemploState createState() => _TextFielEjemploState();
}

class _TextFielEjemploState extends State<TextFielEjemploLogin> {
  final correo = TextEditingController();
  final password = TextEditingController();

  String corr = "", pass = "";

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: SizedBox(
              child: Center(
                  child: Text("Inicia Sesión",
                      style: const TextStyle(fontWeight: FontWeight.bold),
                      selectionColor: Colors.black))),
        ),
        body: Center(
          child: SingleChildScrollView(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                iconButton(),
                SizedBox(
                  height: 20.0,
                ),
                hacerTextField(
                    controller: correo,
                    texto: "Correo electronico",
                    ocultar: false),
                SizedBox(height: 20),
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    hacerTextField(
                      controller: password,
                      texto: "Contraseña",
                      ocultar: true,
                    ),
                  ],
                ),
                SizedBox(height: 20),
                ColoredBox(
                    color: Colors.white,
                    child: boton_Escribir(
                      texto: "Iniciar sesión",
                      onPression: botonIniciaSesion,
                    )),
                SizedBox(height: 20),
                Row(
                  children: [
                    const Text("        ¿Nuevo en la aplicacion?"),
                    HacerTextButtons(
                        texto: "Registrarte", onPression: botonRegistrar)
                  ],
                ),
                SizedBox(height: 15),
                Row(
                  children: [
                    const Text("          Entrar como"),
                    HacerTextButtons(
                        texto: "Invitado", onPression: botonRegistrar)
                  ],
                ),
                ],
              ),
            ),
          ),
        ),
        );
  }

  void botonIniciaSesion() {
    corr = correo.text;
    pass = password.text;
    print(corr + " " + pass);
    loginDatos(corr, pass);
    context.goNamed("StartPage");
  }

  void botonRegistrar() {
    context.goNamed("RegisterPage");
  }
}
