import { Controller, Get } from '@nestjs/common';
import { AppService } from './app.service';


@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get() // decorator
  getHello(): string {
    return this.appService.getHello();
  }

  @Get('admin') // new endpoint for admin panel
  getAdminPanel(): string {
    
    return 'Admin Panel';
  }
}
