import 'package:aplicacionrutasturisticas/pages/login.dart';
import 'package:aplicacionrutasturisticas/pages/register.dart';
import 'package:aplicacionrutasturisticas/pages/start_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:go_router/go_router.dart';

final GoRouter router = GoRouter(routes: <RouteBase>[
  GoRoute(
      name: "LoginPage",
      path: '/',
      builder: (BuildContext context, GoRouterState state) {
        return const TextFielEjemploLogin();
      },
      routes: [
        GoRoute(
            name: "RegisterPage",
            path: "registerlogin",
            builder: (BuildContext context, GoRouterState state) {
              return const RegistroPage();
            })
      ]),
  GoRoute(
      name: "StartPage",
      path: '/startpage',
      builder: (BuildContext context, GoRouterState state) {
        return const StartedPage();
      })
]);
